CREATE TABLE ben_ctfn_doc_map (
    CTFN_DOC_MAP_ID          NUMBER(18, 0) ,
    MAPPING_TABLE_NAME       VARCHAR2(120)     NOT NULL,
    MAPPING_COLUMN_NAME      VARCHAR2(120)     NOT NULL,
    MAPPING_TABLE_PK_ID      NUMBER(18, 0)     NOT NULL,
    CTFN_TYPE_CD             VARCHAR2(120)     NOT NULL,
    VALIDITY_CD              VARCHAR2(120) ,
    VALIDITY_TM_NUM          NUMBER(18, 0) ,
    APPROVAL_PERD_CD         VARCHAR2(120) ,
    APPROVAL_PERD_TM_NUM     NUMBER(18, 0) ,
    DOCUMENT_TYPE_ID         NUMBER(18, 0) ,
    VERIFICATION_MODE        VARCHAR2(120) ,
    DESCRIPTION              VARCHAR2(4000),
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    ACTIVE_FLAG              VARCHAR2(120) ,
    DOC_USG_CD               VARCHAR2(120) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONFIG_ID_1              NUMBER(18, 0) ,
    CONFIG_ID_2              NUMBER(18, 0) ,
    CONFIG_ID_3              NUMBER(18, 0) ,
    CONFIG_ID_4              NUMBER(18, 0) ,
    CONFIG_ID_5              NUMBER(18, 0) ,
    CONFIG_CHAR_1            VARCHAR2(960) ,
    CONFIG_CHAR_2            VARCHAR2(960) ,
    CONFIG_CHAR_3            VARCHAR2(960) ,
    CONFIG_CHAR_4            VARCHAR2(960) ,
    CONFIG_CHAR_5            VARCHAR2(960) ,
    CONFIG_DATE_1            DATE          ,
    CONFIG_DATE_2            DATE          ,
    CONFIG_DATE_3            DATE          ,
    CONFIG_DATE_4            DATE          ,
    CONFIG_DATE_5            DATE          ,
    CONFIG_NUM_1             NUMBER        ,
    CONFIG_NUM_2             NUMBER        ,
    CONFIG_NUM_3             NUMBER        ,
    CONFIG_NUM_4             NUMBER        ,
    CONFIG_NUM_5             NUMBER        ,
    CTFN_DOC_MAP_ID          NUMBER(18, 0) ,
    MAPPING_TABLE_NAME       VARCHAR2(120)     NOT NULL,
    MAPPING_COLUMN_NAME      VARCHAR2(120)     NOT NULL,
    MAPPING_TABLE_PK_ID      NUMBER(18, 0)     NOT NULL,
    CTFN_TYPE_CD             VARCHAR2(120)     NOT NULL,
    VALIDITY_CD              VARCHAR2(120) ,
    VALIDITY_TM_NUM          NUMBER(18, 0) ,
    APPROVAL_PERD_CD         VARCHAR2(120) ,
    APPROVAL_PERD_TM_NUM     NUMBER(18, 0) ,
    DOCUMENT_TYPE_ID         NUMBER(18, 0) ,
    VERIFICATION_MODE        VARCHAR2(120) ,
    DESCRIPTION              VARCHAR2(4000),
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    ACTIVE_FLAG              VARCHAR2(120) ,
    DOC_USG_CD               VARCHAR2(120) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONFIG_ID_1              NUMBER(18, 0) ,
    CONFIG_ID_2              NUMBER(18, 0) ,
    CONFIG_ID_3              NUMBER(18, 0) ,
    CONFIG_ID_4              NUMBER(18, 0) ,
    CONFIG_ID_5              NUMBER(18, 0) ,
    CONFIG_CHAR_1            VARCHAR2(960) ,
    CONFIG_CHAR_2            VARCHAR2(960) ,
    CONFIG_CHAR_3            VARCHAR2(960) ,
    CONFIG_CHAR_4            VARCHAR2(960) ,
    CONFIG_CHAR_5            VARCHAR2(960) ,
    CONFIG_DATE_1            DATE          ,
    CONFIG_DATE_2            DATE          ,
    CONFIG_DATE_3            DATE          ,
    CONFIG_DATE_4            DATE          ,
    CONFIG_DATE_5            DATE          ,
    CONFIG_NUM_1             NUMBER        ,
    CONFIG_NUM_2             NUMBER        ,
    CONFIG_NUM_3             NUMBER        ,
    CONFIG_NUM_4             NUMBER        ,
    CONFIG_NUM_5             NUMBER        ,
    CONSTRAINT pk_ben_ctfn_doc_map PRIMARY KEY (CTFN_DOC_MAP_ID, CTFN_DOC_MAP_ID)
);
